# mongoc_database_create_collection()

## Synopsis

    mongoc_collection_t *
    mongoc_database_create_collection (mongoc_database_t *database,
                                       const char        *name,
                                       const bson_t      *options,
                                       bson_error_t      *error);

## Parameters

database | A mongoc_database_t.
name | The name of the new collection.
options | An optional bson_t for options to the createDatabase command.
error | A location for a bson_error_t or NULL.

## Errors

Errors are propagated via the error parameter.

## Returns

This function returns a newly allocated mongoc_collection_t upon success, NULL upon failure and error is set.